org.apache.ignite.transactions

## Class TransactionRollbackException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.transactions.TransactionRollbackException

All Implemented Interfaces:
  Serializable

    public class TransactionRollbackException
    extends IgniteException

Exception thrown whenever grid transactions has been automatically rolled back.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TransactionRollbackException(String msg)` Creates new rollback exception with given error message.
`TransactionRollbackException(String msg, Throwable cause)` Creates new rollback exception with given error message and optional nested exception.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TransactionRollbackException

    public TransactionRollbackException(String msg)

Creates new rollback exception with given error message.

Parameters:
  `msg` - Error message.

#### TransactionRollbackException

    public TransactionRollbackException(String msg,
                                Throwable cause)

Creates new rollback exception with given error message and optional nested exception.

Parameters:
  `msg` - Error message.
  `cause` - Optional nested exception (can be `null`).

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015